summaryrefslogtreecommitdiffstats
path: root/meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh')
-rw-r--r--meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh b/meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh
new file mode 100644
index 000000000..68684133c
--- /dev/null
+++ b/meta-security/recipes-security/redhat-security/files/selinux-ls-unconfined.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# This software may be freely redistributed under the terms of the GNU
+# public license.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# This checks for unconfined apps running, initrc and inetd are signs
+# of missing transitions.
+
+pidof xinetd >/dev/null
+if [ $? -eq 0 ] ; then
+ps -eZ | egrep "initrc|inetd" | egrep -v `pidof xinetd` | tr ':' ' ' | awk '{ printf "%s %s\n", $3, $NF }'
+else
+ps -eZ | egrep "initrc" | tr ':' ' ' | awk '{ printf "%s %s\n", $3, $NF }'
+fi
+
OpenPOWER on IntegriCloud